#include <iostream>
#include <thread>

/** NO PARAMETER (LIST)
*/

namespace
{
void doWork(int x)
{
	std::cout << "doing work " << x << std::endl;
}

void doMoreWork()
{
	std::cout << "doing more work " << std::endl;
}
}

int main()
{
	std::thread t1(  []() {doWork(10); doMoreWork();}  );

	std::thread t2(  []   {doWork(20); doMoreWork();}  );

	t1.join();
	t2.join();
    return 0;
}
