#include <iostream>
#include <vector>
#include <algorithm>
#include <functional>

/** STORING closures
*/

int main()
{
	std::vector<int> vec = {100, 200, 2, 5, 11, 12, 20};

	auto f = [](int i) {return (i%5) == 0;};
	vec.erase(std::remove_if(vec.begin(), vec.end(), f), vec.end());

	std::for_each(vec.cbegin(), vec.cend(),
				[](int i) {std::cout << i << " ";});
	std::cout << std::endl << std::endl << std::endl;

/////////////////////////

	vec = {100, 200, 2, 5, 11, 12, 20};

	std::function<bool (int)> f2 = [](int i) {return (i%5) == 0;};
	vec.erase(std::remove_if(vec.begin(), vec.end(), f2), vec.end());

	std::for_each(vec.cbegin(), vec.cend(),
				[](int i) {std::cout << i << " ";});
	std::cout << std::endl << std::endl << std::endl;
    return 0;
}
