#include <iostream>
#include <memory>

int main()
{
    std::unique_ptr<int> p{new int(242)};
    std::cout << *p << std::endl;

    auto lambda = [p = std::move(p)]() {std::cout << "In lambda: " << *p << std::endl;};
    lambda();

    std::cout << (p ? "not empty" : "empty");

    return 0;
}
