#include <iostream>
#include <algorithm>
#include <vector>

namespace
{
struct MyFunctor
{
    void operator()(int x) const
    {
        std::cout << x << " ";
    }
};
}

int main()
{
    const std::vector<int> myVec{1, 10, 100, 1000};

    MyFunctor mf;
    std::for_each(myVec.cbegin(), myVec.cend(), mf);

    return 0;
}
