#include <iostream>

namespace
{
auto createAdditionLambda(int x)
{
    return [x] (int value) {return x + value;};
}
} // namespace

int main()
{
    auto lambda{createAdditionLambda(242)};
    std::cout << lambda(10);

    return 0;
}
