#include <iostream>
#include <vector>
#include <algorithm>

/** RETURN TYPE

	OPTIONAL :
		void
		if lambda body is 'return expr' --> type of expr

	SPECIFY :
		trailing return type syntax "example : -> int"

*/

int main()
{
	std::vector<int> vec = {101, 102, 2, 5, 11};

	std::transform(vec.begin(), vec.end(), vec.begin(),
				[](int i)->int {if(i%2 == 0) return 1; else return 0;});


	std::for_each(vec.cbegin(), vec.cend(),
				[](int i) {std::cout << i << " ";});

	std::cout << std::endl << std::endl << std::endl;
    return 0;
}
