#include <iostream>
#include <map>
#include <string>
#include <algorithm>

int main()
{
    std::map<std::string, int> scores;
    scores["me"] = 100;
    scores["you"] = 100;

    std::for_each(scores.cbegin(), scores.cend(),
//            [](const auto& score)
//            [](const decltype(scores)::value_type& score) // this also works
            [](const std::pair<std::string, int>& score)
            {
                std::cout << score.first << " : "
                << score.second << "\n";
            }    );
    return 0;
}
