#include <iostream>

int main()
{
    struct Foo
    {
        auto foo()
        {
            return [thisCopy = *this] () {++thisCopy.mValue; thisCopy.print();};
        }
        void print() const {std::cout << mValue << "\n";};

        mutable int mValue{242};
    };

    auto lambda = Foo().foo();/// Foo object will be dead after this statement
    lambda();
    return 0;
}
